#encoding: utf-8
require "rest_client"
require "json"

module Mycloud
  def self.get_upload_token(options={})
    access_token = options[:access_token]
    secret_token = options[:secret_token]
    upload_token_uri =  options[:upload_token_uri]
    data="access_token=#{access_token}&secret_token=#{secret_token}"
    res = RestClient.post upload_token_uri,data, :accept=>:json
    hsh = JSON.parse(res)
  end

  def self.upload_file(options={})
    #data="upload_token=#{upload_token}&sky_name=#{sky_name}&tags=#{tags}"
    #res = RestClient.post upload_file_uri,data ,:accept=>:json
    res = RestClient.post(options[:upload_file_uri],
                          {
      :upload_token => options[:upload_token],
      :sky_name => options[:sky_name],
      :tags => options[:tags],
      :uploaded_file => File.new(options[:file_path])
    })
    hsh = JSON.parse(res)
  end


  def self.get_unlink_token(options={})
    access_token = options[:access_token]
    secret_token = options[:secret_token]
    unlink_token_uri =  options[:unlink_token_uri]
    data="access_token=#{access_token}&secret_token=#{secret_token}"
    res = RestClient.post unlink_token_uri,data, :accept=>:json
    hsh = JSON.parse(res)
  end

  def self.unlink_file(options={})
    unlink_token = options[:unlink_token]
    file_id = options[:file_id]
    unlink_file_uri =  options[:unlink_file_uri]
    data="unlink_token=#{unlink_token}&file_id=#{file_id}"
    res = RestClient.post unlink_file_uri,data, :accept=>:json
    hsh = JSON.parse(res)
  end
end
